<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common___privacy__api__functions" kind="group">
    <compoundname>group_ble_common_Privacy_api_functions</compoundname>
    <title>Link Layer Privacy API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1ga1af3cff0a1f7d1a9db155314e5562bf1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_EnablePrivacyFeature</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_EnablePrivacyFeature</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function enables Link Layer (LL) Privacy feature in the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
<para>LL privacy feature is disabled and memory space for the feature is not used by default. This function is called by the BLE Component during BLE initialization if the CY_BLE_CONFIG_ENABLE_LL_PRIVACY macro is set by the user.</para><para><simplesect kind="return"><para>None. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="2555" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1gac9ddc6e93c6a2dbb1d682070a8a342d0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_AddDeviceToResolvingList</definition>
        <argsstring>(cy_stc_ble_resolving_device_info_t *param)</argsstring>
        <name>Cy_BLE_AddDeviceToResolvingList</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__resolving__device__info__t">cy_stc_ble_resolving_device_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to add a device to the Resolving List in the controller for resolving Resolvable Private Address (RPA). </para>        </briefdescription>
        <detaileddescription>
<para>This function can be used to update local and/or peer IRKs for an existing Resolving List entry by passing the same peer address type and peer address in the argument.</para><para>Status of the operation is informed through the status parameter returned along with the 'CY_BLE_EVT_ADD_DEVICE_TO_RPA_LIST_COMPLETE' event. If the status is success (0x00u), the 'CY_BLE_EVT_PENDING_FLASH_WRITE' event is generated by the BLE Stack. This indicates that BLE Stack internal data structures are modified and require backup.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>parameter is of type '<ref kindref="compound" refid="structcy__stc__ble__resolving__device__info__t">cy_stc_ble_resolving_device_info_t</ref>'</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1692" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1ga58a0baf4b8757c9f45bdfb1ae6bc1cda" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GetPeerResolvableAddress</definition>
        <argsstring>(cy_stc_ble_peer_id_addr_t *param)</argsstring>
        <name>Cy_BLE_GetPeerResolvableAddress</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__peer__id__addr__t">cy_stc_ble_peer_id_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to get the current peer Resolvable Private Address being used for the given peer Public address or Static Random address. </para>        </briefdescription>
        <detaileddescription>
<para>The peer's resolvable address being used may change after the command is called.</para><para>This is a non-blocking function. Peer resolvable address is informed through 'CY_BLE_EVT_GET_PEER_RPA_COMPLETE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer that contains the information of peer identity address and address type</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Input parameter is NULL. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1723" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1ga4729002c9067d5fb4f87d51041135d65" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GetLocalResolvableAddress</definition>
        <argsstring>(cy_stc_ble_peer_id_addr_t *param)</argsstring>
        <name>Cy_BLE_GetLocalResolvableAddress</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__peer__id__addr__t">cy_stc_ble_peer_id_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to get the current local Resolvable Private Address being used for the given peer public address or the static random address. </para>        </briefdescription>
        <detaileddescription>
<para>The local resolvable address being used may change after the command is called.</para><para>This is a non-blocking function. Local resolvable address is informed through 'CY_BLE_EVT_GET_LOCAL_RPA_COMPLETE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer that contains the information of peer identity address and address type.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Input parameter is NULL. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1754" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1ga04d4ef8a28ad902f43ad2c5c2d20ae70" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_RemoveDeviceFromResolvingList</definition>
        <argsstring>(cy_stc_ble_peer_id_addr_t *param)</argsstring>
        <name>Cy_BLE_RemoveDeviceFromResolvingList</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__peer__id__addr__t">cy_stc_ble_peer_id_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to remove one device from the Resolving List used to resolve Resolvable Private Addresses in the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
<para>Passing all zeroes as address parameter clears the Resolving List.</para><para>Status of operation is informed through the status parameter returned along with the 'CY_BLE_EVT_REMOVE_DEVICE_FROM_RPA_LIST_COMPLETE' event. If the status is success (0x00u), the 'CY_BLE_EVT_PENDING_FLASH_WRITE' event is generated by the BLE Stack. This indicates that BLE Stack internal data structures are modified and require backup.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer that contains the information of peer ID address and address type. If all bytes of peer ID address as well as address type are zero, this function will clear the entire Resolving List.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1789" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1gafc88c86977186d3f76da9c31e7c2c5fb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_SetResolvablePvtAddressTimeOut</definition>
        <argsstring>(uint16_t param)</argsstring>
        <name>Cy_BLE_SetResolvablePvtAddressTimeOut</name>
        <param>
          <type>uint16_t</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to set the length of time the controller uses a Resolvable Private Address before a new resolvable private address is generated and starts being used. </para>        </briefdescription>
        <detaileddescription>
<para>This timeout applies to all addresses generated by the BLE Stack.</para><para>This is a non-blocking function. Request complete is informed through 'CY_BLE_EVT_SET_RPA_TO_COMPLETE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>RPA_Timeout measured in seconds. Range for N: 0x0001 - 0xA1B8 (1 sec - approximately 11.5 hours) Default: N= 0x0384 (900 secs or 15 minutes)</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1820" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1gade3580de2d6223d3baa46c920088a6d7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_SetAddressResolutionEnable</definition>
        <argsstring>(uint8_t param)</argsstring>
        <name>Cy_BLE_SetAddressResolutionEnable</name>
        <param>
          <type>uint8_t</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to enable resolution of Resolvable Private Addresses in the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
<para>This causes the BLE Stack to use the Resolving List whenever the Controller receives a local or peer Resolvable Private Address.</para><para>This is a non-blocking function. Request complete is informed through 'CY_BLE_EVT_SET_RPA_ENABLE_COMPLETE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>0x00 - Address Resolution in Controller is disabled (default) <linebreak />
 0x01 - Address Resolution in Controller is enabled <linebreak />
 0x02 - 0xFF Reserved for Future Use</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1851" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1ga85a1f1abec1007bd257d2cccc335cfc1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GetResolvingList</definition>
        <argsstring>(cy_stc_ble_resolving_list_retention_t const **param)</argsstring>
        <name>Cy_BLE_GetResolvingList</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__resolving__list__retention__t">cy_stc_ble_resolving_list_retention_t</ref> const **</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to get Resolving List. </para>        </briefdescription>
        <detaileddescription>
<para>This function is a blocking call. Hence no event will be generated.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to store the base address of Resolving List.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Privacy feature is not enabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;Note : The Resolving List memory is maintained by the BLE stack. The application should not modify the contents using the pointer provided by the BLE Stack. </verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1879" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___privacy__api__functions_1gab05e6757dba80c0e3f530de5b0e185bd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_SetPrivacyMode</definition>
        <argsstring>(cy_stc_ble_privacy_mode_info_t *privacyModeInfo)</argsstring>
        <name>Cy_BLE_SetPrivacyMode</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__privacy__mode__info__t">cy_stc_ble_privacy_mode_info_t</ref> *</type>
          <declname>privacyModeInfo</declname>
        </param>
        <briefdescription>
<para>This function is used to allow the application to specify the Privacy mode to be used for a given entry on the Resolving List. </para>        </briefdescription>
        <detaileddescription>
<para>The effect of this setting is specified in Bluetooth 5.0 Core Specification [Vol 6] Part B, Section 4.7.</para><para>When an entry on the Resolving List is removed, the mode associated with that entry is also removed.</para><para>This is a non-blocking function. Successful operation will be informed through the 'CY_BLE_EVT_SET_PRIVACY_MODE_COMPLETE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>privacyModeInfo</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer that contains the information of peer address, peer address type, and Privacy mode.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1914" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The API are used for enable user to use Link Layer Privacy feature of BLE Stack. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>